Skip to main content

- Resource Pack
- Liteyuki Function
- Liteyuki Plugin
- Communication
- - liteyuki
  - liteyuki.config
  - liteyuki.exception
  - liteyuki.log
  - liteyuki.mkdoc
  - liteyuki.utils

# liteyuki.log

SnowyKami
Less than 1 minute
API

On This Page

- def get_format(level: str) -> str
- def init_log(config: dict) -> None
- var logger = loguru.logger
- var show_icon = config.get('log_icon', True)

### def `get_format(level: str) -> str`

源代码

    def get_format(level: str) -> str:
        if level == 'DEBUG':
            return debug_format
        else:
            return default_format

### def `init_log(config: dict) -> None`

在语言加载完成后执行

Returns:

源代码

    def init_log(config: dict):
        """
        在语言加载完成后执行
        Returns:

        """
        logger.remove()
        logger.add(sys.stdout, level=0, diagnose=False, format=get_format(config.get('log_level', 'INFO')))
        show_icon = config.get('log_icon', True)
        logger.level('DEBUG', color='<blue>', icon=f"{('🐛' if show_icon else '')}DEBUG")
        logger.level('INFO', color='<normal>', icon=f"{('ℹ️' if show_icon else '')}INFO")
        logger.level('SUCCESS', color='<green>', icon=f"{('✅' if show_icon else '')}SUCCESS")
        logger.level('WARNING', color='<yellow>', icon=f"{('⚠️' if show_icon else '')}WARNING")
        logger.level('ERROR', color='<red>', icon=f"{('⭕' if show_icon else '')}ERROR")

### var `logger = loguru.logger`

### var `show_icon = config.get('log_icon', True)`